import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import {NgZorroAntdModule} from 'ng-zorro-antd';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {BreadcrumbModule} from '../../common/breadcrumb/breadcrumb.module';
import {AppCommonModule} from '../../app-common.module';
import { ActivityMoneyRoutingModule } from './activity-money-routing.module';
import { MerchantAllocationComponent } from './merchant-allocation/merchant-allocation.component';
import { PrizePoolComponent } from './prize-pool/prize-pool.component';
import { PrizePoolDetailComponent } from './prize-pool-detail/prize-pool-detail.component';


@NgModule({
  declarations: [
    MerchantAllocationComponent, 
    PrizePoolComponent, 
    PrizePoolDetailComponent
  ],
  imports: [
    CommonModule,
    ActivityMoneyRoutingModule,
    NgZorroAntdModule,
    ReactiveFormsModule,
    FormsModule,
    BreadcrumbModule,
    AppCommonModule,
  ]
})
export class ActivityMoneyModule { }
