import { Component, OnInit } from '@angular/core';
import { ActivityMoneyService } from 'src/app/services/activity-money.service';
import {NzMessageService, NzModalService} from 'ng-zorro-antd';
import {environment} from '../../../../environments/environment';
import {ActivatedRoute, Params} from '@angular/router';
@Component({
  selector: 'app-prize-pool-detail',
  templateUrl: './prize-pool-detail.component.html',
  styleUrls: ['./prize-pool-detail.component.scss']
})
export class PrizePoolDetailComponent implements OnInit {
  FILE_URL = environment.imageUrl;
  selectedIndex:number = 0;

  prizePoolDetailsObject:any={};

  loadingObject = {
    spinning: false,
    msg: '加载中'
  };
  batchIdentifier="";
  constructor(
    private modal: NzModalService,
    private message: NzMessageService,
    private activityMoneyService:ActivityMoneyService,
    private activatedRoute: ActivatedRoute,
  ) { }

  ngOnInit() {
    this.activatedRoute.queryParams.subscribe((queryParams: Params) => {
      if (queryParams['batchIdentifier'] != null && queryParams['batchIdentifier'].length > 0) {
       this.batchIdentifier=queryParams['batchIdentifier'];
        this.prizePoolDetails(queryParams['batchIdentifier']);
      }
    });
  }

  /*打开奖池详情  */
  prizePoolDetails(batchIdentifier){
    let params ={
      batchIdentifier:batchIdentifier
    } 
    this.activityMoneyService.queryRewardDetail(params, data => {
      if (data['return_code'] === '000000') {
        this.prizePoolDetailsObject = data['return_data'];
      } else {
        this.message.error(data['return_msg']);
      }
    });   
  }

   /* 导出商户明天 */
  exportTradeOrder(batchIdentifier) {
    this.loadingObject.spinning = true;
    this.loadingObject.msg = '导出中...';
    let params ={
      batchIdentifier:batchIdentifier
    } 
    this.activityMoneyService.exportRewardRoster(params, data => {
      if (data['return_code'] === '000000') {
        // window.location.href = this.FILE_URL + data['return_data'];
        window.open(data['return_data']);
      } else {
        this.message.error(data['return_msg']);
      }
      this.loadingObject.spinning = false;
    });
  }

}
