


import { Component, OnInit } from '@angular/core';
import {LocalStorageService} from '../../../services/local-storage.service';
import {FormBuilder, FormGroup} from '@angular/forms';
import {NzMessageService, NzModalService} from 'ng-zorro-antd';
import {environment} from '../../../../environments/environment';
import { ActivityMoneyService } from 'src/app/services/activity-money.service';
@Component({
  selector: 'app-prize-pool',
  templateUrl: './prize-pool.component.html',
  styleUrls: ['./prize-pool.component.scss']
})
export class PrizePoolComponent implements OnInit {
  FILE_URL = environment.imageUrl;
  loading = false;
  dataObject: any = {};
  tableLoading = true;
  searchForm: FormGroup;
  pageNum: number;
  whereObject: any = {};


  constructor(private store: LocalStorageService, // 数据请求
              private modal: NzModalService,
              private message: NzMessageService,
              private activityMoneyService:ActivityMoneyService,
              private form: FormBuilder) { }

  ngOnInit(): void {
    

    this.searchForm = this.form.group({
      batchIdentifier: [null],    
      status: [null],
    });
    this.requestData(1);
  }

  /**
   * 请求数据
   */
  requestData(pageNum) {
    this.tableLoading = true;
    this.whereObject['pageNum'] = pageNum;
    this.whereObject['pageSize'] = 10;
    this.activityMoneyService.queryRewardList(this.whereObject, data => {
      if (data['return_code'] === '000000') {
        this.dataObject = data['return_data'];
      } else {
        this.modal.error(data['return_msg']);
      }
      this.tableLoading = false;
    });
  }

  /**
   * 搜索
   * @param whereObject 条件
   */
  search(whereObject: object) {
    this.whereObject = whereObject;
    this.requestData(1);
  }

  /**
   * 重置
   */
  resetForm(): void {
    this.searchForm.reset();
  }

  /* 发放奖池金额 */
  disbursementAmount(batchIdentifier){
    let params ={
      batchIdentifier:batchIdentifier
    } 
    this.modal.confirm({
      nzTitle: '提示',
      nzContent: '确定发放奖池金额吗?',
      nzOnOk: () => this.grantReward(params)
    });
  }
  grantReward(params){
    this.activityMoneyService.grantReward(params, data => {
      if (data['return_code'] === '000000') {
        this.message.create("success", data['return_data']);
        this.requestData(1);
      } else {
        this.message.error(data['return_msg']);
      }
    });
  }


}



