import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { SystemRoutingModule } from './system-routing.module';
import {NgZorroAntdModule} from 'ng-zorro-antd';
import {SystemOrganizationComponent} from './system-organization/system-organization.component';
import {SystemRoleComponent} from './system-role/system-role.component';
import {SystemRoleShowComponent} from './system-role-show/system-role-show.component';
import {SystemUserComponent} from './system-user/system-user.component';
import {MenuComponent} from './menu/menu.component';
import {PermissionComponent} from './permission/permission.component';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {NgxNeditorModule} from '@notadd/ngx-neditor';
import {BreadcrumbModule} from '../../common/breadcrumb/breadcrumb.module';

import {AppCommonModule} from '../../app-common.module';
import { VersionComponent } from './version/version.component';

@NgModule({
  declarations: [SystemOrganizationComponent, SystemRoleComponent, SystemRoleShowComponent, SystemUserComponent, MenuComponent, PermissionComponent, VersionComponent],
    imports: [
        CommonModule,
        SystemRoutingModule,
        NgZorroAntdModule,
        FormsModule,
        ReactiveFormsModule,
        NgxNeditorModule,
        BreadcrumbModule,
        AppCommonModule
    ]
})
export class SystemModule { }
