import { Component, OnInit } from '@angular/core';
import {ActivatedRoute, Params} from '@angular/router';
import {TradeOrderService} from '../../../services/trade-order.service';

@Component({
  selector: 'app-trade-order-detail',
  templateUrl: './trade-order-detail.component.html',
  styleUrls: ['./trade-order-detail.component.scss']
})
export class TradeOrderDetailComponent implements OnInit {

  dataObject = {
    order: {},
    orderRefund: null,
  };

  constructor(
      private activatedRoute: ActivatedRoute,
      private tradeOrderService: TradeOrderService
  ) { }

  ngOnInit(): void {
    this.activatedRoute.queryParams.subscribe((queryParams: Params) => {
      if (queryParams['outTradeNo'] != null && queryParams['outTradeNo'].length > 0) {
        this.tradeOrderService.getOrderByOutTradeOrder(queryParams['outTradeNo'], data => {
          if (data['return_code'] === '000000') {
            this.dataObject = data['return_data'];
            console.log(this.dataObject);
          }
        });
      }
    });

  }

}
