import {
    FormsModule,
    ReactiveFormsModule,
} from '@angular/forms';

import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {NgZorroAntdModule} from 'ng-zorro-antd';
import {NgxNeditorModule} from '@notadd/ngx-neditor';

// 管道
import {
    TimesPipe,
    TextareaPipe,
    SystemPipe,
    ButtonPipe,
    AgentStatusPipe,
    SalesmanStatusPipe,
    PayModePipe,
    TradeOrderRefundStatusPipe,
    TradeOrderStatusPipe,
    CardTypePipe,
    MerStatusPipe,
    CompleteStatusPipe,
    MerTypePipe, DeviceStatusPipe, PlatformTypePipe, DeviceTypePipe, DeviceOrderTypePipe, CreateTypePipe,
    ActivityMoneyPipe,AllocationStatus
} from './pipes';
import {DeviceOrderStatusPipe} from './pipes/device/device-order-status.pipe';
import {DeviceOrderPayTypePipe} from './pipes/device/device-order-pay-type.pipe';
import {SettleTypePipe} from './pipes/trade-order/settle-type.pipe';

const PIPES = [
    TimesPipe,
    TextareaPipe,
    SystemPipe,
    ButtonPipe,
    AgentStatusPipe,
    SalesmanStatusPipe,
    PayModePipe,
    TradeOrderStatusPipe,
    TradeOrderRefundStatusPipe,
    CardTypePipe,
    MerStatusPipe,
    MerTypePipe,
    CompleteStatusPipe,
    DeviceStatusPipe,
    DeviceTypePipe,
    DeviceOrderTypePipe,
    DeviceOrderStatusPipe,
    DeviceOrderPayTypePipe,
    PlatformTypePipe,
    CreateTypePipe,
    SettleTypePipe,
    ActivityMoneyPipe,
    AllocationStatus
];

@NgModule({
    imports: [
        CommonModule,
        FormsModule,
        ReactiveFormsModule,
        NgZorroAntdModule,
        NgxNeditorModule
    ],
    declarations: [
        ...PIPES,
    ],

    exports: [
        ...PIPES,
    ],
})

export class AppCommonModule {
    static forRoot(): ModuleWithProviders<AppCommonModule> {
    return {
        ngModule: AppCommonModule,
        providers: [],
    };
}
}
